<?php
// Include your database connection using PDO
include '../config/connect.php';

// Ambil parameter 'w' dan 'j' dari URL
$w = $_GET['w'];
$j = $_GET['j'];

// Array akun_pengeluaran
$akun_static = ($j == 1) ? array('Pendapatan PPPOE','Pendapatan Hotspot','Hutang Jangka Pendek','Hutang Jangka Panjang','Modal Tambahan','Modal Awal','Piutang Usaha','Piutang Karyawan','Piutang Lain-lain') :  array('Bayar Bandwidth','Pajak','Gaji Karyawan','Barang Habis Pakai','Pembayaran Sewa','Admin Bank','Listrik','Hutang Barang','Hutang Jangka Pendek','Hutang Jangka Panjang','Piutang Usaha','Piutang Karyawan','Piutang Lain-lain');

// Siapkan query SQL untuk mengambil nama akun berdasarkan jenis yang diterima
$sql = "SELECT nama FROM daftar_akun_transaksi WHERE jenis = :jenis";
$stmt = $pdo->prepare($sql);
$stmt->bindParam(':jenis', $j, PDO::PARAM_STR);
$stmt->execute();

// Ambil hasil query dan masukkan ke dalam array akun transaksi
$akun_transaksi = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Gabungkan akun_pengeluaran dan akun_transaksi dalam satu array
$combined_data = array_merge(
    array_map(function($item) { return ['nama' => $item]; }, $akun_static),
    array_map(function($item) { return ['nama' => $item['nama']]; }, $akun_transaksi)
);

// Kembalikan data dalam format JSON
echo json_encode($combined_data);
?>